Keywords
********


Links to manual entries
=======================

**conductance:**

* EnergyGrid

* Files

* Technical

**dftb:**

* DispersionCorrection

* KSpace

* Model

* Occupation

* Periodic

* Properties

* QMFQ

* ResourcesDir

* SCC

* Solvation

* StoreMatrices

* Technical

* UnpairedElectrons

* XTBConfig


Summary of all keywords
=======================


Engine DFTB
-----------

"DispersionCorrection"
   Type:
      Multiple Choice

   Default value:
      None

   Options:
      [None, Auto, UFF, ULG, D2, D3-BJ, D4]

   GUI name:
      Dispersion

   Description:
      This key is used to specify an empirical dispersion model.
      Please refer to the DFTB documentation for details on the
      different methods.

      By default no dispersion correction will be applied. Setting
      this to auto applies the dispersion correction recommended in
      the DFTB parameter set's metainfo file. Note that the D3-BJ
      dispersion correction is enabled by default when using the
      GFN1-xTB model Hamiltonian, but can be disabled manually by
      setting this keyword to None.

"KSpace"
   Type:
      Block

   Description:
      Options for the k-space integration (i.e. the grid used to
      sample the Brillouin zone)

   "Analytical"
      Type:
         Bool

      Default value:
         Yes

      Description:
         For analytical integration the BZ is split into simplices,
         whereover the bands are interpolated, ater which the
         integrals can be performed analytically.

         Alternatively, the set of eigenvalues in the discrete set of
         k-points are just handled as distinct molecular orbitals.

         Using analytical=no can improve SCF convergence in
         combination with smearing/temperature.

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, GammaOnly, Basic, Normal, Good, VeryGood, Excellent]

      GUI name:
         K-space

      Description:
         Select the quality of the K-space grid used to sample the
         Brillouin Zone. If 'Auto', the quality defined in the
         'NumericalQuality' will be used. If 'GammaOnly', only one
         point (the gamma point) will be used.

         The actual number of K points generated depends on this
         option and on the size of the unit cell. The larger the real
         space cell, the fewer K points will be generated.

         The CPU-time and accuracy strongly depend on this option.

   "Regular"
      Type:
         Block

      Description:
         Options for the regular k-space integration grid.

      "NumberOfPoints"
         Type:
            Integer List

         Description:
            Use a regular grid with the specified number of k-points
            along each reciprocal lattice vector.

            For 1D periodic systems you should specify only one
            number, for 2D systems two numbers, and for 3D systems
            three numbers.

   "Symmetric"
      Type:
         Block

      Description:
         Options for the symmetric k-space integration grid.

      "KInteg"
         Type:
            Integer

         GUI name:
            Accuracy

         Description:
            Specify the accuracy for the Symmetric method.

            1: absolutely minimal (only the G-point is used)

            2: linear tetrahedron method, coarsest spacing

            3: quadratic tetrahedron method, coarsest spacing

            4,6,... (even): linear tetrahedron method

            5,7.... (odd): quadratic method

            The tetrahedron method is usually by far inferior.

   "Type"
      Type:
         Multiple Choice

      Default value:
         Regular

      Options:
         [Regular, Symmetric]

      GUI name:
         K-space grid type

      Description:
         The type of k-space integration grid used to sample the
         Brillouin zone (BZ) used.

         'Regular': simple regular grid.

         'Symmetric': symmetric grid for the irreducible wedge of the
         first BZ (useful when high-symmetry points in the BZ are
         needed to capture the correct physics of the system, graphene
         being a notable example).

"Model"
   Type:
      Multiple Choice

   Default value:
      GFN1-xTB

   Options:
      [DFTB, SCC-DFTB, DFTB3, GFN1-xTB, NonSCC-GFN1-xTB]

   Description:
      Selects the Hamiltonian used in the DFTB calculation:

      * DFTB/DFTB0/DFTB1 for classic DFTB without a self-consistent
        charge cycle

      * SCC-DFTB/DFTB2 with a self-consistency loop for the Mulliken
        charges

      * DFTB3 for additional third-order contributions.

      * GFN1-xTB for Grimme's extended tight-binding model in the GFN1
        version.

      * NonSCC-GFN1-xTB for a less accurate but faster version of
        GFN1-xTB without a self-consistency cycle

      The choice has to be supported by the selected parameter set.

"Occupation"
   Type:
      Block

   Description:
      Configures the details of how the molecular orbitals are
      occupied with electrons.

   "KT"
      Type:
         Float

      Unit:
         Hartree

      Description:
         (KT) Boltzmann constant times temperature, used for
         electronic temperature with strategy is auto.

         The default value is the default value for
         Temperature*3.166815423e-6.

         This key and Temperature are mutually exclusive.

   "NumBoltz"
      Type:
         Integer

      Default value:
         10

      Description:
         The electronic temperature is done with a Riemann Stieltjes
         numerical integration, between zero and one occupation. This
         defines the number of points to be used.

   "Strategy"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, Aufbau, Fermi]

      GUI name:
         Occupation

      Description:
         This optional key allows to specify the fill strategy to use
         for the molecular orbitals.

         Can either be 'Aufbau' for simply filling the energetically
         lowest orbitals, or 'Fermi' for a smeared out Fermi-Dirac
         occupation. By default the occupation strategy is determined
         automatically, based on the other settings (such as the
         number of unpaired electrons).

   "Temperature"
      Type:
         Float

      Default value:
         300.0

      Unit:
         Kelvin

      GUI name:
         Fermi temperature

      Description:
         The Fermi temperature used for the Fermi-Dirac distribution.
         Ignored in case of aufbau occupations.

"Periodic"
   Type:
      Block

   Description:
      Block that sets various details of the calculation only relevant
      for periodic systems.

   "BZPath"
      Type:
         Block

      Description:
         If [BandStructure%Automatic] is disabled, DFTB will compute
         the band structure for the user-defined path in the [BZPath]
         block. You should define the vertices of your path in
         fractional coordinates (with respect to the reciprocal
         lattice vectors) in the [Path] sub-block. If you want to make
         a jump in your path, you need to specify a new [Path] sub-
         block.

      "Path"
         Type:
            Non-standard block

         Recurring:
            True

         Description:
            A section of a k space path.

   "BandStructure"
      Type:
         Block

      Description:
         Options for band structure plotting. This has no effect on
         the calculated energy. [Warning: The band structure is only
         computed in case of k-space sampling, i.e. it is not computed
         for Gamma-only calculations (see: Periodic%KSpace).]

      "Automatic"
         Type:
            Bool

         Default value:
            Yes

         GUI name:
            Automatic generate path

         Description:
            Generate and use the standard path through the Brillouin
            zone.

            If not, use the user defined path (set via Custom path in
            the GUI, or with the Periodic%BZPath keyword in the run
            script).

      "DeltaK"
         Type:
            Float

         Default value:
            0.1

         Unit:
            1/Bohr

         GUI name:
            Interpolation delta-K

         Description:
            Step size in reciprocal space for band structure
            interpolation. Using a smaller number will produce
            smoother band curves at an increased computational time.

      "Enabled"
         Type:
            Bool

         Default value:
            Yes

         GUI name:
            Calculate band structure

         Description:
            Whether or not to calculate the band structure.

      "FatBands"
         Type:
            Bool

         Default value:
            Yes

         GUI name:
            Calculate fatbands

         Description:
            Control the computation of the fat bands (only when the
            bandstructure is calculated).

            The fat bands are the periodic equivalent of the Mulliken
            population analysis. The definition of the fat bands can
            be found in the Band Documentation.

      "KPathFinderConvention"
         Type:
            Multiple Choice

         Default value:
            Setyawan-Curtarolo

         Options:
            [Setyawan-Curtarolo, Hinuma]

         Description:
            This option determines how the path through the Brillouin
            zone is generated when using the automatic k-point mode.

            Available options:

            * "Setyawan-Curtarolo" (default for 1D and 2D lattices):
              Uses our built-in KPath program to find a path through
              high-symmetry points based on the method by Setyawan and
              Curtarolo
              (https://doi.org/10.1016/j.commatsci.2010.05.010). For
              2D lattices, the path is derived from the intersection
              of the 3D Brillouin zone with a plane. For 1D lattices,
              the path is simply Gamma-Z.

            * "Hinuma": Uses the external SeeKPath utility to generate
              the k-path (https://github.com/giovannipizzi/seekpath
              and https://doi.org/10.1016/j.commatsci.2016.10.015).

      "UseSymmetry"
         Type:
            Bool

         Default value:
            Yes

         Description:
            If set, only the irreducible wedge of the Wigner-Seitz
            cell is sampled. If not, the whole (inversion-unique)
            Wigner-Seitz cell is sampled. Only available for Setyawan
            and Curtarolo convention (see "KPathFinderConvention").

   "DOS"
      Type:
         Block

      Description:
         The subkeys of [DOS] allow to customize the calculation of
         the density of states.

      "EMax"
         Type:
            Float

         Default value:
            0.75

         Unit:
            Hartree

         Description:
            Upper end of the energy interval in which the density of
            states is calculated.

      "EMin"
         Type:
            Float

         Default value:
            -0.75

         Unit:
            Hartree

         Description:
            Lower end of the energy interval in which the density of
            states is calculated.

      "Enabled"
         Type:
            Bool

         Default value:
            Yes

         GUI name:
            Calculate DOS

         Description:
            Whether or not to calculate the DOS. Note that the DOS
            will always be calculated when also the band structure is
            calculated.

      "NSteps"
         Type:
            Integer

         Default value:
            300

         Description:
            The number of energy intervals between [EMin] and [EMax]
            for which the density of states is calculated.

   "EffectiveMass"
      Type:
         Block

      Description:
         In a semi-conductor, the mobility of electrons and holes is
         related to the curvature of the bands at the top of the
         valence band and the bottom of the conduction band.

         With the effective mass option, this curvature is obtained by
         numerical differentiation.

         The estimation is done with the specified step size, and
         twice the specified step size, and both results are printed
         to give a hint on the accuracy. By far the most convenient
         way to use this key is without specifying any options.

      "Enabled"
         Type:
            Bool

         Default value:
            No

         GUI name:
            Effective mass

         Description:
            In a semi-conductor, the mobility of electrons and holes
            is related to the curvature of the bands at the top of the
            valence band and the bottom of the conduction band.

            With the effective mass option, this curvature is obtained
            by numerical differentiation.

            The estimation is done with the specified step size, and
            twice the specified step size, and both results are
            printed to give a hint on the accuracy. By far the most
            convenient way to use this key is without specifying any
            options.

      "KPointCoord"
         Type:
            Float List

         Unit:
            1/Bohr

         Recurring:
            True

         GUI name:
            At K-point

         Description:
            Coordinate of the k-points for which you would like to
            compute the effective mass.

      "NumAbove"
         Type:
            Integer

         Default value:
            1

         GUI name:
            Include N bands above

         Description:
            Number of bands to take into account above the Fermi
            level.

      "NumBelow"
         Type:
            Integer

         Default value:
            1

         GUI name:
            Include N bands below

         Description:
            Number of bands to take into account below the Fermi
            level.

      "StepSize"
         Type:
            Float

         Default value:
            0.001

         Description:
            Size of the step taken in reciprocal space to perform the
            numerical differentiation

      "UseBandStructureInfoFromPath"
         Type:
            Bool

         Default value:
            Yes

         Description:
            The (automatic) location of the HOMO and LUMO can be
            determined via band interpolation, or from the path as
            used by the BandStructure feature. The latter works better
            when they are located on the path. See also comments in
            the BandStructure block. To reproduce results from before
            ams2025 set to no.

"Properties"
   Type:
      Block

   Description:
      DFTB can calculate various properties of the simulated system.
      This block configures which properties will be calculated.

   "Excitations"
      Type:
         Block

      Description:
         Contains all options related to the calculation of excited
         states, either as simple single orbitals transitions or from
         a TD-DFTB calculation.

      "SingleOrbTrans"
         Type:
            Block

         Description:
            The simplest approximation to the true excitations are the
            single orbital transitions (sometimes called Kohn-Sham
            transitions), that is transitions where a single electron
            is excited from an occupied Kohn-Sham orbital into a
            virtual orbital. The calculation of these transitions is
            configured in this section. Note that the SingleOrbTrans
            section is optional even though the single orbital
            transitions are also needed for TD-DFTB calculations. If
            the section is not present all single orbital transitions
            will still be calculated and used in a subsequent TD-DFTB
            calculation, but no output will be produced.

         "Enabled"
            Type:
               Bool

            Default value:
               No

            GUI name:
               Single orbital transisitions: Calculate

            Description:
               Calculate the single orbital transitions.

         "Filter"
            Type:
               Block

            Description:
               This section allows to remove single orbital
               transitions based on certain criteria. All filters are
               disabled by default.

            "OSMin"
               Type:
                  Float

               GUI name:
                  Minimum oscillator strength

               Description:
                  Removes single orbital transitions with an
                  oscillator strength smaller than this threshold.

                  A typical value to start (if used at all) would be
                  1.0e-3.

            "dEMax"
               Type:
                  Float

               Unit:
                  Hartree

               Description:
                  Removes single orbital transitions with an orbital
                  energy difference larger than this threshold.

            "dEMin"
               Type:
                  Float

               Unit:
                  Hartree

               Description:
                  Removes single orbital transitions with an orbital
                  energy difference smaller than this threshold.

         "PrintLowest"
            Type:
               Integer

            Default value:
               10

            Description:
               The number of single orbital transitions that are
               printed to the screen and written to disk.

               If not a TD-DFTB calculation, the default is to print
               the 10 lowest single orbital transitions.

               In case of a TD-DFTB calculation it is assumed that the
               single orbital transitions are only used as an input
               for TD-DFTB and nothing will be printed unless
               PrintLowest is specified explicitly.

      "TDDFTB"
         Type:
            Block

         Description:
            Calculations with time-dependent DFTB can be configured in
            the TDDFTB section and should in general give better
            results than the raw single orbital transitions. TD-DFTB
            calculates the excitations in the basis of the single
            orbital transitions, whose calculation is configured in
            the SingleOrbTrans section. Using a filter in
            SingleOrbTrans can therefore be used to reduce the size of
            the basis for TD-DFTB. One possible application of this is
            to accelerate the calculation of electronic absorption
            spectra by removing single orbital transitions with small
            oscillator strengths from the basis. Note that the entire
            TDDFTB section is optional. If no TDDFTB section is found,
            the behavior depends on the existence of the
            SingleOrbTrans section: If no SingleOrbTrans section is
            found (the Excitations section is completely empty then) a
            TD-DFTB calculation with default parameters will be
            performed. If only the SingleOrbTrans section is present
            no TD-DFTB calculation will be done.

         "Calc"
            Type:
               Multiple Choice

            Default value:
               None

            Options:
               [None, Singlet, Triplet]

            GUI name:
               Type of excitations

            Description:
               Specifies the multiplicity of the excitations to be
               calculated.

         "DavidsonConfig"
            Type:
               Block

            Description:
               This section contains a number of keywords that can be
               used to override various internals of the Davidson
               eigensolver. The default values should generally be
               fine.

            "ATCharges"
               Type:
                  Multiple Choice

               Default value:
                  Precalc

               Options:
                  [Precalc, OnTheFly]

               GUI name:
                  Transition charges

               Description:
                  Select whether the atomic transition charges are
                  precalculated in advance or reevaluated during the
                  iterations of the Davidson solver.

                  Precalculating the charges will improve the
                  performance, but requires additional storage.

                  The default is to precalculate the atomic transition
                  charges, but the precalculation may be disabled if
                  not not enough memory is available.

            "SafetyMargin"
               Type:
                  Integer

               Default value:
                  4

               Description:
                  The number of eigenvectors the Davidson method will
                  calculate in addition to the ones requested by the
                  user. With the Davidson eigensolver it is generally
                  a good idea to calculate a few more eigenvectors
                  than needed, as depending on the initial guess for
                  the eigenvectors it can happen that the found ones
                  are not exactly the lowest ones. This problem is
                  especially prominent if one wants to calculate only
                  a small number of excitations for a symmetric
                  molecule, where the initial guesses for the
                  eigenvectors might have the wrong symmetry. Note
                  that the additionally calculated excitations will
                  neither be written to the result file nor be visible
                  in the output.

            "Tolerance"
               Type:
                  Float

               Default value:
                  1e-09

               Description:
                  Convergence criterion for the norm of the residual.

         "Diagonalization"
            Type:
               Multiple Choice

            Default value:
               Auto

            Options:
               [Auto, Davidson, Exact]

            GUI name:
               Method

            Description:
               Select the method used to solve the TD-DFTB eigenvalue
               equation.

               The most straightforward procedure is a direct
               diagonalization of the matrix from which the excitation
               energies and oscillator strengths are obtained. Since
               the matrix grows quickly with system size (number of
               used single orbital transitions squared), this option
               is possible only for small molecules.

               The alternative is the iterative Davidson method, which
               finds a few of the lowest excitations within an error
               tolerance without ever storing the full matrix.

               The default is to make this decision automatically
               based on the system size and the requested number of
               excitations.

         "Lowest"
            Type:
               Integer

            Default value:
               10

            GUI name:
               Number of excitations

            Description:
               Specifies the number of excitations that are
               calculated.

               Note that in case of the exact diagonalization all
               excitations are calculated, but only the lowest ones
               are printed to screen and written to the output file.

               Also note that if limited both by number and by energy,
               (lowest and upto), DFTB will always use whatever
               results in the smaller number of calculated
               excitations.

         "Print"
            Type:
               String

            Description:
               Specifies whether to print details on the contribution
               of the individual single orbital transitions to the
               calculated excitations.

         "ScaleKernel"
            Type:
               Float

            Default value:
               1.0

            Unit:
               None

            Description:
               Set the scaling parameter of the response kernel.

               A scaling approach can be used to identify plasmons in
               molecules. While single-particle excitations are only
               slightly affected by scaling of the response kernel,
               plasmonic excitations are sensitive to variations in
               the scaling parameter. Default no scaling is used
               (scaling parameter = 1.0)

         "UpTo"
            Type:
               Float

            Unit:
               Hartree

            GUI name:
               Excitations up to

            Description:
               Set the maximum excitation energy.

               Attempts to calculate all excitations up to a given
               energy by calculating a number of excitations equal to
               the number of single orbital transitions in this
               window. This is only approximately correct, so one
               should always add some safety margin.

               Note that if limited both by number and by energy,
               (lowest and upto), DFTB will always use whatever
               results in the smaller number of calculated
               excitations.

      "TDDFTBGradients"
         Type:
            Block

         Description:
            This block configures the calculation of analytical
            gradients for the TD-DFTB excitation energies, which
            allows the optimization of excited state geometries and
            the calculation of vibrational frequencies in excited
            states (see J. Comput. Chem., 28: 2589-2601). If the
            gradients are calculated, they will automatically be used
            for geometry optimizations or vibrational frequency
            calculations, if the corresponding Task is selected and
            only 1 excitation is selected. Vibrationally resolved
            UV/Vis spectroscopy (Franck-Condon Factors) can be
            calculated in combination with the FCF program or using
            the Vibrational Analysis Tools in AMS. See the ADF
            documentation on Vibrationally resolved electronic spectra
            or the AMS documentation for the Vibrational Analysis
            Tools.

         "Eigenfollow"
            Type:
               Bool

            Default value:
               No

            GUI name:
               Follow initial excitation

            Description:
               If this option is set, DFTB uses the transition density
               in atomic orbital basis to follow the initially
               selected excited state during a geometry optimization.
               This is useful if excited state potential energy
               surfaces cross each other and you want to follow the
               surface you started on.

         "Excitation"
            Type:
               Integer List

            GUI name:
               Excitation number

            Description:
               Select which excited states to calculate the gradients
               for.

               Gradients can only be calculated for an excited states
               that has been calculated using TD-DFTB. Make sure that
               enough excitations are calculated.

   "Fragments"
      Type:
         Block

      Description:
         Fragment files

      "Analysis"
         Type:
            Bool

         Default value:
            Yes

         GUI name:
            Fragment analysis

         Description:
            Mulliken population analysis in terms of fragment
            orbitals.

      "EMax"
         Type:
            Float

         Default value:
            0.25

         Unit:
            Hartree

         Description:
            Upper end of the energy interval for which the orbitals
            are analyzed.

      "Emin"
         Type:
            Float

         Default value:
            -0.75

         Unit:
            Hartree

         Description:
            Lower end of the energy interval for which the orbitals
            are analyzed.

      "File"
         Type:
            String

         Recurring:
            True

         Description:
            Path (either absolute or relative) of fragment file

      "TIDegeneracyThreshold"
         Type:
            Float

         Default value:
            0.1

         Unit:
            eV

         Description:
            If the orbital energy of the fragment MO is within this
            threshold with fragment HOMO or LUMO energy, then this
            fragment MO is included in the calculation of the transfer
            integrals. Relevant in case there is (near) degeneracy.

      "TransferIntegrals"
         Type:
            Bool

         Default value:
            No

         GUI name:
            Charge transfer integrals

         Description:
            Calculate the charge transfer integrals, spatial overlap
            integrals and site energies.

            Charge transfer integrals can be used in models that
            calculate transport properties.

   "NBOInput"
      Type:
         Bool

      Default value:
         No

      Description:
         Whether or not an input file for the NBO program is written
         to disk as nboInput.FILE47. The input file follows the FILE47
         format as described in the NBO6 manual available on
         nbo6.chem.wisc.edu. By default, only the calculation of the
         natural bond orbitals and the natural localized molecular
         orbitals is enabled, but the nboInput.FILE47 file can be
         edited by hand to enable other analysis models. Please refer
         to the NBO6 manual for details.

   "RESPONSE"
      Type:
         Block

      Description:
         Linear response module to compute electric (complex)
         polarizabilities

      "Frequencies"
         Type:
            Float List

         Default value:
            [0.0]

         Unit:
            eV

         Description:
            List of frequencies of incident light

      "LifeTime"
         Type:
            Float

         Unit:
            Hartree

         Description:
            Phenomenological damping

      "Solver"
         Type:
            Block

         Description:
            Solver details for CPKS

         "Algorithm"
            Type:
               Multiple Choice

            Default value:
               EXACT

            Options:
               [EXACT, ITER]

            Description:
               Choice of solver for CPKS

         "Debug"
            Type:
               Bool

            Default value:
               No

            Description:
               Print technical information from solver

         "NumIt"
            Type:
               Integer

            Default value:
               100

            Description:
               Maximum number of iterations (ITER solver only)

         "RMSE"
            Type:
               Float

            Default value:
               1e-06

            Description:
               Threshold for convergence (ITER solver only)

"QMFQ"
   Type:
      Block

   Description:
      Block input key for QM/(w)FQ(FMu).

   "AtomType"
      Type:
         Block

      Recurring:
         True

      Description:
         Definition of atomic types in MM environment

      "Alpha"
         Type:
            Float

         Description:
            Polarizability of FQFMU atom

      "Area"
         Type:
            Float

         Description:
            Effective charge-transfer area time between same-type wFQ
            atoms

      "Charge"
         Type:
            Float

         Description:
            MM fixed charge (non-polarizable only)

      "Chi"
         Type:
            Float

         Description:
            Electronegativity of FQ atom

      "Dfermi"
         Type:
            Float

         Description:
            wFQ d parameter for Fermi damping

      "Efermi"
         Type:
            Float

         Description:
            Fermi Energy of wFQ carbon-based structure

      "Eta"
         Type:
            Float

         Description:
            Chemical Hardness of FQ atom

      "R0"
         Type:
            Float

         Description:
            wFQ R0 parameter for Fermi damping

      "Sfermi"
         Type:
            Float

         Description:
            wFQ s parameter for Fermi damping

      "Sigma0"
         Type:
            Float

         Description:
            Static conductivity time of wFQ atom

      "Symbol"
         Type:
            String

         Description:
            Symbol associated with atom type

      "Tau"
         Type:
            Float

         Description:
            Scattering time of wFQ atom

      "wFQFMuFile"
         Type:
            String

         Description:
            The absolute path to the wFQFMu interband polarizability
            file

   "Coords"
      Type:
         Non-standard block

      Description:
         Coordinates and fragment information (FQ only)

   "FDERESP"
      Type:
         Bool

      Default value:
         No

      Description:
         In response calculations (TD), the polarization contribution
         of the FDE part is introduced at the FQ level [See F. Egidi
         et al. J. Chem. Phys. 2021, 154, 164107].

   "Forcefield"
      Type:
         Multiple Choice

      Default value:
         FQ

      Options:
         [FQ, FQFMU, wFQ, wFQ_RQ, wFQFmu, wFQFmu_RQRMU]

      Description:
         Version of the FQ family of polarizable forcefields

   "Frozen"
      Type:
         Bool

      Default value:
         No

      Description:
         Expert option. Do not introduce polarization effect in
         response calculations.

   "Kernel"
      Type:
         Multiple Choice

      Default value:
         OHNO

      Options:
         [OHNO, COUL, GAUS]

      Description:
         Expert option. KERNEL can be used to choose the functional
         form of the charge-charge interaction kernel between MM
         atoms. Recommended is to use the default OHNO. The COUL
         screening is the standard Coulomb interaction 1/r. The OHNO
         choice introduce the Ohno functional (see [K. Ohno, Theoret.
         Chim. Acta 2, 219 (1964)]), which depends on a parameter n
         that is set equal to 2. Finally, the GAUS screening models
         each FQ charge by means of a spherical Gaussian-type
         distribution, and the interaction kernel is obtained
         accordingly. For QM/FQFMU only GAUS SCREEN is implemented.

   "LifeFrequency"
      Type:
         Float

      Default value:
         0.0

      Description:
         Input frequency for calculating TDDFT/wFQ(Fmu) lifetimes

   "LifeState"
      Type:
         Integer

      Default value:
         0

      Description:
         Target excited state for state-specific TDDFT/wFQ(Fmu)
         lifetimes

   "MolCharge"
      Type:
         Float

      Default value:
         0.0

      Description:
         Total charge of each fragment (FQ only)

   "NonEle"
      Type:
         Multiple Choice

      Default value:
         LJ

      Options:
         [LJ, None]

      Description:
         Whether to include non-electrostatic contributions to the
         energy. Default is the Lennard-Jones (LJ) model.

   "QMSCREEN"
      Type:
         Multiple Choice

      Default value:
         GAUS

      Options:
         [ERF, EXP, GAUS, NONE]

      Description:
         Expert option. QMSCREEN can be used to choose the functional
         form of the charge-charge interaction kernel between MM atoms
         and the QM density. The screening types available are ERF
         (error function), EXP (exponential), GAUS (Gaussian), or
         NONE. The default is GAUS.

   "QMSCREENFACTOR"
      Type:
         Float

      Default value:
         0.2

      Description:
         Expert option. Sets the QM/MM interaction kernel screening
         length. Recommended is to use the default value 0.2 with the
         GAUS QM/MM screening function.

   "ReadDynamicMatrix"
      Type:
         String

      Description:
         The absolute path to the decomposed wFQ(FMu) matrix file

"Repulsion"
   Type:
      Block

   Description:
      Configures various details of the repulsive potential.

"ResourcesDir"
   Type:
      String

   Description:
      The directory containing the parameter files. The path can be
      absolute or relative. Relative paths starting with ./ are
      considered relative to the directory in which the calculation is
      started, otherwise they are considered relative to
      $AMSRESOURCES/DFTB. This key is required for the Slater-Koster
      based DFTB models, but optional for xTB.

"SCC"
   Type:
      Block

   Description:
      This optional section configures various details of the self-
      consistent charge cycle. If the model Hamiltonian does not need
      a self-consistent solution (e.g. plain DFTB0), none of this
      information is used and the entire section will be ignored.

   "AdaptiveMixing"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Change the mixing parameter based on the monitored energy. A
         significant increase of energy will strongly reduce the
         mixing. Then it will slowly grow back to the SCC%Mixing
         value.

   "AlwaysClaimConvergence"
      Type:
         Bool

      Default value:
         No

      Description:
         Even if the SCC does not converge, claim convergence.

   "Converge"
      Type:
         Block

      Description:
         Controls the convergence criteria of the SCC cycle.

      "Charge"
         Type:
            Float

         Default value:
            1e-08

         GUI name:
            Charge convergence

         Description:
            The maximum change in atomic charges between subsequent
            SCC iterations. If the charges change less, the SCC cycle
            is considered converged.

      "Norm"
         Type:
            Multiple Choice

         Default value:
            L-Infinity

         Options:
            [L2, L-Infinity]

         Description:
            The LInfinity norm is the more stringent choice. The L2
            norm is directly what is optimized by the DIIS procedure,
            it is scaled by the extra constant factor 2/sqrt(nAtoms).

   "DIIS"
      Type:
         Block

      Description:
         Parameters influencing the DIIS self-consistency method

      "Enabled"
         Type:
            Bool

         Default value:
            Yes

         Description:
            If not enabled simple mixing without DIIS acceleration
            will be used.

      "MaxSamples"
         Type:
            Integer

         Default value:
            20

         Description:
            Specifies the maximum number of samples considered during
            the direct inversion of iteration of subspace (DIIS)
            extrapolation of the atomic charges during the SCC
            iterations. A smaller number of samples potentially leads
            to a more aggressive convergence acceleration, while a
            larger number often guarantees a more stable iteration.
            Due to often occurring linear dependencies within the set
            of sample vectors, the maximum number of samples is
            reached only in very rare cases.

      "MaximumCoefficient"
         Type:
            Float

         Default value:
            10.0

         Description:
            When the diis expansion coefficients exceed this
            threshold, the solution is rejected. The vector space is
            too crowded. The oldest vector is discarded, and the
            expansion is re-evaluated.

      "MinSamples"
         Type:
            Integer

         Default value:
            -1

         Description:
            When bigger than one, this affects the shrinking of the
            DIIS space on linear dependence. It will not reduce to a
            smaller space than MinSamples unless there is extreme
            dependency.

      "MixingFactor"
         Type:
            Float

         Default value:
            0.15

         Description:
            The parameter used to mix the DIIS linear combination of
            previously sampled atomic charge vectors with an analogous
            linear combination of charge vectors resulting from
            population analysis combination. It can assume real values
            between 0 and 1.

   "HXDamping"
      Type:
         Bool

      Description:
         This option activates the DFTB3 style damping for H-X bonds.
         Note that this is always enabled if the DFTB%Model key is set
         to DFTB3. Not used with xTB.

   "InheritMixFromPreviousResult"
      Type:
         Bool

      Default value:
         No

      Description:
         For some run types, such as GeometryOptimization, a previous
         result is available. By using the charges from the previous
         geometry a better initial guess for the SCC procedure may be
         obtained.

         Also the last mix factor from the previous result can be
         loaded, possibly speeding up the SCC.

   "Iterations"
      Type:
         Integer

      Default value:
         500

      Description:
         Allows to specify the maximum number of SCC iterations. The
         default should suffice for most standard calculations.

         Convergence issues may arise due to the use of the Aufbau
         occupations for systems with small HOMO-LUMO gaps. In this
         case the use of a Fermi broadening strategy may improve
         convergence.

         Choosing a smaller mixing parameter (see DFTB%SCC%Mixing) may
         also help with convergence issues: it often provides a more
         stable but slower way to converge the SCC cycle.

   "Method"
      Type:
         Multiple Choice

      Default value:
         MultiStepper

      Options:
         [DIIS, MultiStepper]

      Description:
         The DIIS option is the old method. The MultiStepper is much
         more flexible and is controlled by the SCFMultiSolver block

   "MinimumAdaptiveMixingFactor"
      Type:
         Float

      Default value:
         0.003

      Description:
         In case of AdaptiveMixing the lower bound for the
         MixingFactor.

   "MultiStepperPresetPath"
      Type:
         String

      Default value:
         DFTB/default2023.inc

      Description:
         Name of file containing a SCFMultiStepper key block. This
         will be used if no Explicit SCFMultiStepper block is in the
         input, and Method=MultiStepper.

         If the path is not absolute, it is relative to
         $AMSHOME/data/presets/multi_stepper'

   "OrbitalDependent"
      Type:
         Bool

      Description:
         Activates or disables orbital resolved calculations. If this
         key is absent the recommended settings from the parameter
         file's metainfo.

   "SCFMultiStepper"
      Type:
         Block

      Description:
         To solve the self-consistent problem multiple steppers can be
         tried during stints using the ones that give the best
         progress.

      "AlwaysChangeStepper"
         Type:
            Bool

         Default value:
            No

         Description:
            When the progress is fine there is no reason to change the
            stepper. In practice this is always set to true, because
            also the Stepper%ExpectedSlope can be used to achieve
            similar behavior.

      "ErrorGrowthAbortFactor"
         Type:
            Float

         Default value:
            1000.0

         Description:
            Abort stint when the error grows too much, compared to the
            error at the start of the stint.

      "FractionalStepFactor"
         Type:
            Float

         Default value:
            -1.0

         Description:
            Multiply the step by this factor. If smaller than zero
            this is not used.

      "MinStintCyclesForAbort"
         Type:
            Integer

         Default value:
            0

         Description:
            Look at ErrorGrowthAbortFactor only when a number of steps
            has been completed since the start of the stint. A value
            of  0 means always.

      "Stepper"
         Type:
            Block

         Recurring:
            True

         Description:
            ??

         "AbortSlope"
            Type:
               Float

            Default value:
               100.0

            Description:
               If the slope (at the end of a stint) is larger than
               this: abort the stepper

         "DIISStepper"
            Type:
               Block

            Description:
               DIIS stepper

            "EDIISAlpha"
               Type:
                  Float

               Default value:
                  0.01

               Description:
                  The extra energy vector is weighed by this factor. .

            "MaxCoefficient"
               Type:
                  Float

               Default value:
                  20.0

               Description:
                  The largest allowed value of the expansion
                  coefficients. If exceed the number of vectors is
                  reduces until the criterion is met.

            "MaxVectors"
               Type:
                  Integer

               Default value:
                  10

               Description:
                  Maximum number of previous densities to be used
                  (size of the history).

            "MinVectors"
               Type:
                  Integer

               Default value:
                  -1

               Description:
                  Try to prevent to make nVectors shrink below this
                  value, by allowing for significantly larger
                  coefficients.

            "Mix"
               Type:
                  Float

               Default value:
                  0.2

               Description:
                  Also known as greed. It determines the amount of
                  output density to be used. May be changed by the
                  MixAdapter.

         "ErrorGrowthAbortFactor"
            Type:
               Float

            Default value:
               -1.0

            Description:
               Abort stint when the error grows too much, compared to
               the error at the start of the stint. Overrides global
               ErrorGrowthAbortFactor when set to a value > 0

         "ExpectedSlope"
            Type:
               Float

            Default value:
               -100.0

            Description:
               If the slope of the total SCF is better than this keep
               on going.

         "FractionalStepFactor"
            Type:
               Float

            Default value:
               -1.0

            Description:
               Multiply the step by this factor. If smaller than zero
               this is not used.

         "MaxInitialError"
            Type:
               Float

            Description:
               Only use the stepper when error is smaller than this.

         "MaxIterationNumber"
            Type:
               Integer

            Default value:
               -1

            Description:
               Stepper will only be active for iterations smaller than
               this number. (Negative value means: Ignore this option)

         "MaxStintNumber"
            Type:
               Integer

            Default value:
               -1

            Description:
               Stepper will only be active for stints smaller than
               this number. (Negative value means: Ignore this option)

         "MinInitialError"
            Type:
               Float

            Description:
               Only use the stepper when error is larger than this.

         "MinIterationNumber"
            Type:
               Integer

            Default value:
               -1

            Description:
               Stepper will only be active for iterations larger than
               this number.

         "MinStintCyclesForAbort"
            Type:
               Integer

            Default value:
               0

            Description:
               Look at ErrorGrowthAbortFactor only when a number of
               steps has been completed since the start of the stint.
               A value of  0 means always. Overrides global value.

         "MinStintNumber"
            Type:
               Integer

            Default value:
               -1

            Description:
               Stepper will only be active for stints larger than this
               number.

         "MixAdapter"
            Type:
               Block

            Description:
               Generic mix adapter

            "ErrorGrowthPanicFactor"
               Type:
                  Float

               Default value:
                  10.0

               Description:
                  When the error increases more than this factor, this
                  mix is reduced a lot.

            "GrowthFactor"
               Type:
                  Float

               Default value:
                  1.1

               Description:
                  When the mix is considered too low it is multiplied
                  by this factor. Otherwise it is divided by it.

            "MaxMix"
               Type:
                  Float

               Default value:
                  0.3

               Description:
                  Do not grow the mix above this value.

            "MinMix"
               Type:
                  Float

               Default value:
                  0.1

               Description:
                  Do not shrink the mix below this value.

            "NTrialMixFactors"
               Type:
                  Integer

               Default value:
                  3

               Description:
                  Only used with Type=Trial. Must be an odd number.

            "TrialMode"
               Type:
                  Multiple Choice

               Default value:
                  CurrentMixCentered

               Options:
                  [CurrentMixCentered, FullRange]

               Description:
                  How are the NTrialMixFactors chosen?

            "Type"
               Type:
                  Multiple Choice

               Default value:
                  Error

               Options:
                  [Error, Energy, UnpredictedStep, Trial]

               Description:
                  Adapt the mix factor based on the observed progress
                  (slope).

         "MixStepper"
            Type:
               Block

            Description:
               Simple mixing stepper, only using the previous (in/out)
               density.

            "Mix"
               Type:
                  Float

               Default value:
                  0.1

               Description:
                  ???.

         "MultiSecantStepper"
            Type:
               Block

            Description:
               Multi secant stepper.

            "MaxCoefficient"
               Type:
                  Float

               Default value:
                  20.0

               Description:
                  ???.

            "MaxVectors"
               Type:
                  Integer

               Default value:
                  10

               Description:
                  ???.

            "Mix"
               Type:
                  Float

               Default value:
                  0.2

               Description:
                  ???.

            "Variant"
               Type:
                  Multiple Choice

               Default value:
                  MSB2

               Options:
                  [MSB1, MSB2, MSR1, MSR1s]

               Description:
                  There are several version of the Multi secant
                  method.

         "StintLength"
            Type:
               Integer

            Description:
               Override global StintLength.

      "StintLength"
         Type:
            Integer

         Default value:
            10

         Description:
            A stepper is active during a number of SCF cycles, called
            a stint.

      "UsePreviousStintForErrorGrowthAbort"
         Type:
            Bool

         Default value:
            No

         Description:
            The error is normally checked against the first error of
            the stint. With this option that will be the one from the
            previous stint, if performed with the same stepper.

   "SpinOrbit"
      Type:
         Bool

      Default value:
         No

      Description:
         test

   "Unrestricted"
      Type:
         Bool

      Default value:
         No

      Description:
         Enables spin unrestricted calculations.

         Only collinear spin polarization is supported, see Theor Chem
         Acc (2016) 135: 232, for details.

         Must be supported by the chosen parameter set. Not yet
         compatible with DFTB3, k-space sampling periodic calculations
         or the xTB models.

"Solvation"
   Type:
      Block

   Description:
      Generalized Born solvation model with Solvent Accessible Surface
      Area (GBSA).

   "GSolvState"
      Type:
         Multiple Choice

      Default value:
         Gas1MSolvent1M

      Options:
         [Gas1BarSolvent, Gas1MSolvent1M, Gas1BarSolvent1M]

      Description:
         Reference state for solvation free energy shift.

   "Solvent"
      Type:
         Multiple Choice

      Default value:
         None

      Options:
         [None, Acetone, Acetonitrile, CHCl3, CS2, DMSO, Ether, H2O,
         Methanol, THF, Toluene]

      Description:
         Solvent used in the GBSA implicit solvation model.

   "SurfaceGrid"
      Type:
         Multiple Choice

      Default value:
         230

      Options:
         [230, 974, 2030, 5810]

      Description:
         Number of angular grid points for the construction of the
         solvent accessible surface area. Usually the default number
         of grid point suffices, but in case of suspicious behaviors
         you can increase the number of points.

   "Temperature"
      Type:
         Float

      Default value:
         298.15

      Unit:
         Kelvin

      Description:
         The temperature used when calculating the solvation free
         energy shift. Only used for 'Gas1BarSolvent' and
         'Gas1BarSolvent1M' GSolvState options.

   "UseGSASA"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Solvation Free Energy

      Description:
         Include shift term and G(SASA) terms in the energy and
         gradient.

"StoreMatrices"
   Type:
      Bool

   Default value:
      No

   Description:
      Determines whether the Hamiltonian and overlap matrices are
      stored in the binary result file.

"StoreOrbitals"
   Type:
      Bool

   Default value:
      Yes

   Description:
      Determines whether the orbital coefficients are stored in the
      binary result file. They are needed for displaying orbitals and
      densities in amsview.

"Technical"
   Type:
      Block

   Description:
      This optional section is about technical aspects of the program
      that should not concern the normal user.

   "AnalyticalStressTensor"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether to compute the stress tensor analytically. Note: This
         can only be used together with Ewald summation as it will
         give (slightly) wrong results with Madelung screening.

   "EwaldSummation"
      Type:
         Block

      Description:
         Configures the details of the Ewald summation of the Coulomb
         interaction.

      "CellRangeFactor"
         Type:
            Float

         Default value:
            2.0

         Description:
            Smaller values will make the Ewald summation less accurate
            but faster.

      "Enabled"
         Type:
            Bool

         Default value:
            Yes

         Description:
            Whether to use Ewald summation for the long-range part of
            the Coulomb interaction. Otherwise screening is used.

      "Tolerance"
         Type:
            Float

         Default value:
            1e-10

         Description:
            Larger values will make the Ewald summation less accurate
            but faster.

   "MatricesViaFullMaxSize"
      Type:
         Integer

      Default value:
         2047

      Description:
         Matrices smaller than this size are constructed via a full
         matrix. This is faster, but uses more memory in the
         construction.

   "Parallel"
      Type:
         Block

      Description:
         Calculation of the orbitals in several k-points is trivially
         parallel.

      "nCoresPerGroup"
         Type:
            Integer

         Description:
            Number of cores in each working group.

      "nGroups"
         Type:
            Integer

         Description:
            Total number of processor groups. This is the number of
            tasks that will be executed in parallel.

      "nNodesPerGroup"
         Type:
            Integer

         GUI name:
            Cores per task

         Description:
            Number of nodes in each group. This option should only be
            used on homogeneous compute clusters, where all used
            compute nodes have the same number of processor cores.

   "ReuseKSpaceConfig"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Keep the number of k-points constant during a lattice
         optimization. Otherwise the PES might display jumps, because
         the number of points depends on the lattice vector sizes. If
         this option is on it will always use the number of k-points
         that was used from a previous result.

   "Screening"
      Type:
         Block

      Description:
         For SCC-DFTB in periodic systems the Coulomb interaction can
         (instead of using Ewald summation) be screened with a Fermi-
         Dirac like function defined as
         S(r)=1/(exp((r-r_madel)/d_madel)+1). This section allows to
         change some details of the screening procedure. Note that
         Coulomb screening is only used if the Ewald summation is
         disabled.

      "dMadel"
         Type:
            Float

         Unit:
            Bohr

         Description:
            Sets the smoothness of the screening function. The default
            is 1/10 of [rMadel].

      "rMadel"
         Type:
            Float

         Unit:
            Bohr

         Description:
            Sets the range of the screening function. The default is
            2x the norm of the longest lattice vector.

   "UseGeneralizedDiagonalization"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether or not to use generalized diagonalization. Does not
         affect the results, but might be faster or slower.

"UnpairedElectrons"
   Type:
      Integer

   Default value:
      0

   GUI name:
      Spin polarization

   Description:
      This specifies the number of unpaired electrons (not the
      multiplicity!).

      This number will then be used in the orbital-filling strategy.
      Has to be compatible with the total number of electrons, meaning
      it must be an even number if the total number of electrons is
      even and odd if the total number is odd. Must be an integer
      value.

      Note that this does not activate spin polarization, it only
      affects the filling of the orbitals.

"XTBConfig"
   Type:
      Block

   Description:
      This block allows for minor tweaking.

   "SlaterRadialThreshold"
      Type:
         Float

      Default value:
         1e-05

      Description:
         Threshold determining the range of the basis functions. Using
         a larger threshold will speed up the calculation, but will
         also make the results less accurate.

   "useXBTerm"
      Type:
         Bool

      Default value:
         No

      Description:
         Whether to use the Halogen bonding (XB) term. This is not
         advised as it has a non-continuous PES.


conductance
-----------

"EnergyGrid"
   Type:
      Block

   Description:
      Energy grid for Transmission Function

   "Max"
      Type:
         Float

      Default value:
         5.0

      Unit:
         eV

      Description:
         Max Energy (relative to Fermi energy)

   "Min"
      Type:
         Float

      Default value:
         -5.0

      Unit:
         eV

      Description:
         Min energy (relative to Fermi energy)

   "Num"
      Type:
         Integer

      Default value:
         200

      Description:
         Number of energy values in which the interval Min-Max is
         subdivided

"Files"
   Type:
      Block

   Description:
      path of files

   "HamiltonianElectrode"
      Type:
         String

      Default value:
      Description:
   "HamiltonianMolecule"
      Type:
         String

      Default value:
      Description:
   "Leads"
      Type:
         String

      Default value:
      Description:
         Path (either absolute or relative) of the lead results file

   "OverlapElectrode"
      Type:
         String

      Default value:
      Description:
   "OverlapMolecule"
      Type:
         String

      Default value:
      Description:
   "Scattering"
      Type:
         String

      Default value:
      Description:
         Path (either absolute or relative) of the scattering region
         results

"Output"
   Type:
      Block

   Description:
      options describing what should be printed

   "OldOutput"
      Type:
         Bool

      Default value:
         No

      Description:
"Physics"
   Type:
      Block

   Description:
      Block describing the physics of the system

   "FermiEnergy"
      Type:
         Block

      Description:
         Block describing the physics of the system

      "Electrode"
         Type:
            Float

         Default value:
            0.0

         Description:
            Fermi energy of the electrode

"Technical"
   Type:
      Block

   Description:
      options describing technical parts of the calculation

   "Eta"
      Type:
         Float

      Default value:
         1e-05

      Description:
         To avoid poles of the Green's function, a small imaginary
         number is added to the energy

   "overwriteLeads"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If true, Hamiltonians H_L and H_R are taken from the DFTB-
         leads calculation. If False, they are taken from the DFTB
         scattering-region calculation

   "setOffDiagonalToZero"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If true, H_LR and S_LR are explicitly set to zero. If False,
         they are taken from the DFTB scattering-region calculation.
